Skip to content
POST/{organizationId}/{mandateId}/finance/receipts/{receiptId}/returnedPayment

Handle returned payment

Handles a returned payment for a specific receipt for a given mandate

Required permissions:

  • mandate.read

  • receipt.edit

  • cashTransaction.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
receiptIdstringrequired

Request Body required

Content-Type: application/json

actionstringrequired

Options:

retrymanualcancel
returnFeeintegerrequired

minimum: 0

maximum: 9999999999

processingFeeintegerrequired

minimum: 0

maximum: 9999999999

newDueDatestringoptional
newManualPaymentMethodstringoptional

Options:

sepaCreditTransferonlinecash

ObjectId as string

blockDebtorNotestring | nulloptional

minLength: 1

maxLength: 2000

sendMethodstringoptional

Options:

noneemailpostal
doNotSendReceiptbooleanoptional
cashTransactionIdstringrequired

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/receipts/{receiptId}/returnedPayment
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/receipts/{receiptId}/returnedPayment' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "action": "retry",
  "returnFee": 0,
  "processingFee": 0,
  "cashTransactionId": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}